//
//  ELEditViewViewController.m
//  EditList
//
//  Created by Felix Rohrer on 29.03.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import "ELEditViewViewController.h"

@interface ELEditViewViewController ()

@end

@implementation ELEditViewViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

-(void)viewWillAppear:(BOOL)animated {
    //NSLog(@"viewDidLoad: %@", self.personData.firstName);
    self.firstname.text = self.personData.firstName;
    self.lastname.text = self.personData.lastName;
    self.postalcode.text = [NSString stringWithFormat:@"%d", self.personData.plz];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (BOOL)textFieldShouldReturn:(UITextField*)aTextField {
    // hide keyboard - not working for numberpad ?!?
    [aTextField resignFirstResponder];
    return YES;
}

- (IBAction)backGroundTap:(id)sender {
    // dismiss keyboard / numberpad
    [self.firstname resignFirstResponder];
    [self.lastname resignFirstResponder];
    [self.postalcode resignFirstResponder];
}

- (IBAction)saveButtonPressed:(UIButton *)sender {
    // @todo: save data
    self.personData.firstName = self.firstname.text;
    self.personData.lastName = self.lastname.text;
    self.personData.plz = [self.postalcode.text intValue];
    
    [self dismissViewControllerAnimated:YES completion:nil];
}
@end
